OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NVX.ConditionalRender

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVXConditionalRender :: MonadIO m => m Bool
- gl_NVX_conditional_render :: Bool
- glBeginConditionalRenderNVX :: MonadIO m => GLuint -> m ()
- glEndConditionalRenderNVX :: MonadIO m => m ()

# Extension Support

glGetNVXConditionalRender :: MonadIO m => m Bool Source #

Is the NVX_conditional_render extension supported?

gl_NVX_conditional_render :: Bool Source #

Is the NVX_conditional_render extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVXConditionalRender` in those cases instead.

# Functions

glBeginConditionalRenderNVX Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glEndConditionalRenderNVX :: MonadIO m => m () Source #

This command is an alias for `glEndConditionalRender`.